using System;

namespace Spojler
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] konacan = Console.ReadLine().Split();
            string[] poluvreme = Console.ReadLine().Split();
            int a = int.Parse(konacan[0]);
            int b = int.Parse(konacan[1]);
            int x = int.Parse(poluvreme[0]);
            int y = int.Parse(poluvreme[1]);
            if (a == x && b == y) Console.WriteLine("nijedan");
            else if (a == x && b > y) Console.WriteLine("drugi");
            else if (a > x && b == y) Console.WriteLine("prvi");
            else if (a > x && b > y) Console.WriteLine("?");
        }
    }
}